using Contracts.BindingModels;
using Contracts.SearchModels;
using Contracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Contracts.StorageContracts
{
    public interface ISupplyDocStorage
    {
        List<SupplyDocViewModel> GetFullList();
        List<SupplyDocViewModel> GetFilteredList(SupplyDocSearchModel model);
        SupplyDocViewModel? GetElement(SupplyDocSearchModel model);
        SupplyDocViewModel? Insert(SupplyDocBindingModel model);
        SupplyDocViewModel? Update(SupplyDocBindingModel model);
        SupplyDocViewModel? Delete(SupplyDocBindingModel model);
    }
}
